package com.mvc.iot.aep.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 电信AEP平台配置
 */
@Configuration
@ConfigurationProperties(prefix = "aep")
public class AepConfig {
    //API接口验证序号
    private String appKey;

    //API接口密钥
    private String appSecret;

    //产品ID
    private String productId;

    //API接口验证序号
    private String masterKey;

    //MQ消息服务地址请在控制台-消息流转-目的地管理-MQ页面中查看
    private String mqServer;

    //MQ-租户ID
    private String mqTenantId;

    //MQ-身份认证token串
    private String mqToken;

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getMasterKey() {
        return masterKey;
    }

    public void setMasterKey(String masterKey) {
        this.masterKey = masterKey;
    }

    public String getMqServer() {
        return mqServer;
    }

    public void setMqServer(String mqServer) {
        this.mqServer = mqServer;
    }

    public String getMqTenantId() {
        return mqTenantId;
    }

    public void setMqTenantId(String mqTenantId) {
        this.mqTenantId = mqTenantId;
    }

    public String getMqToken() {
        return mqToken;
    }

    public void setMqToken(String mqToken) {
        this.mqToken = mqToken;
    }
}
